wreport::tests::TestController Struct Reference

Abstract interface for the objects that supervise test execution. More...

`#include <testrunner.h>`

Inheritance diagram for wreport::tests::TestController:

## Public Member Functions

virtual bool | test_case_begin (const TestCase &test_case, const TestCaseResult &test_case_result)
| Called before running a test case.
virtual void | test_case_end (const TestCase &test_case, const TestCaseResult &test_case_result)
| Called after running a test case.
virtual bool | test_method_begin (const TestMethod &test_method, const TestMethodResult &test_method_result)
| Called before running a test method.
virtual void | test_method_end (const TestMethod &test_method, const TestMethodResult &test_method_result)
| Called after running a test method.

## Detailed Description

Abstract interface for the objects that supervise test execution.

This can be used for printing progress, or to skip test methods or test cases.

## Member Function Documentation

## test_case_begin()

virtual bool wreport::tests::TestController::test_case_begin | ( | const TestCase & | test_case,
|  | const TestCaseResult & | test_case_result )

inline virtual

Called before running a test case.

Returns
  true if the test case should be run, false if it should be skipped

Reimplemented in wreport::tests::SimpleTestController, and wreport::tests::VerboseTestController.

## test_case_end()

virtual void wreport::tests::TestController::test_case_end | ( | const TestCase & | test_case,
|  | const TestCaseResult & | test_case_result )

inline virtual

Called after running a test case.

Reimplemented in wreport::tests::SimpleTestController, and wreport::tests::VerboseTestController.

## test_method_begin()

virtual bool wreport::tests::TestController::test_method_begin | ( | const TestMethod & | test_method,
|  | const TestMethodResult & | test_method_result )

inline virtual

Called before running a test method.

Returns
  true if the test method should be run, false if it should be skipped

Reimplemented in wreport::tests::SimpleTestController, and wreport::tests::VerboseTestController.

## test_method_end()

virtual void wreport::tests::TestController::test_method_end | ( | const TestMethod & | test_method,
|  | const TestMethodResult & | test_method_result )

inline virtual

Called after running a test method.

Reimplemented in wreport::tests::SimpleTestController, and wreport::tests::VerboseTestController.

The documentation for this struct was generated from the following file:

- testrunner.h